# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.conf.urls import url, include, patterns
from django.contrib import admin
from django.conf import settings
from newsbox.views import NewsboxYearArchiveView, NewsboxArchiveView

from .models import News

admin.autodiscover()

urlpatterns = patterns('',
    url(r'^admin/', include(admin.site.urls)),
    url(r'^', include('newsbox.urls')),
    url(r'^news/$', 
        NewsboxArchiveView.as_view(model=News, paginate_by=1), 
        name='news_list',),
    url(r'^news/(?P<year>\d{4})/$', 
        NewsboxYearArchiveView.as_view(model=News, paginate_by=1), 
        name='news_list_y',),
)
