# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models
from newsbox.models import NewsboxBase, NewsboxSEOBase, NewsboxExpiredBase
from newsbox_cms.models import NewsboxCMSBase, NewsboxPluginBase
from newsbox_i18n.models import NewsboxI18NBase

class News(NewsboxI18NBase, NewsboxCMSBase, NewsboxBase):
    class Meta:
        verbose_name = 'news - I18NCMS'
        verbose_name_plural = 'news - I18NCMS'
        newsbox_detail_url_name = 'news_detail'

class NewsComplete(NewsboxI18NBase, NewsboxCMSBase, NewsboxSEOBase, NewsboxExpiredBase, NewsboxBase):
    class Meta:
        verbose_name = 'news - CompleteI18NCMS'
        verbose_name_plural = 'news - CompleteI18NCMS'
        newsbox_detail_url_name = 'newscomplete_detail'

class NewsExtended(NewsboxI18NBase, NewsboxCMSBase, NewsboxSEOBase, NewsboxExpiredBase, NewsboxBase):
    general_field = models.CharField(max_length=50)
    content_field = models.CharField(max_length=50)
    seo_field = models.CharField(max_length=50)

    class Meta:
        verbose_name = 'news - ExtendedI18NCMS'
        verbose_name_plural = 'news - ExtendedI18NCMS'
        newsbox_trans_fieldnames = ['content_field', 'seo_field']
        newsbox_detail_url_name = 'newsextended_detail'



class NewsPlugin(NewsboxPluginBase):
    newsbox_model = News

